propellor-5.18: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell2010

Propellor.Property.Qemu

Synopsis

- foreignBinariesEmulated :: RevertableProperty Linux Linux
- supportsArch :: System -> Architecture -> Bool

# Documentation

foreignBinariesEmulated :: RevertableProperty Linux Linux Source #

Installs qemu user mode emulation binaries, built statically, which allow foreign binaries to run directly.

supportsArch :: System -> Architecture -> Bool Source #

Check if the given System supports an Architecture.

For example, on Debian, X86_64 supports X86_32, and vice-versa.